Shares

Get a share

GET/api/share/id/{shareId}

Returns a share's configuration by its ID after checking access to the shared resource.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
shareIdrequiredstringIdentifier used to access a shared resource.

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
entityIdrequiredstringID of the resource being shared.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
shareTyperequirednumberType of resource made available by the share.
slugrequiredstringURL slug used to access the resource.
updatedAtrequiredstringDate and time the record was last updated.
200 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL